# Puppeteer

### Install :

`npm install puppeteer`

### Example:

```javascript
const Genlogin = require('./Genlogin');
const puppeteer = require('puppeteer');

(async () => {
    const genlogin = new Genlogin("");
    const profile = (await genlogin.getProfiles(0, 1)).profiles[0];
    const  {wsEndpoint} = await genlogin.runProfile(profile.id)

    const browser =await puppeteer.connect({
        browserWSEndpoint: wsEndpoint,
        ignoreHTTPSErrors: true,
        defaultViewport: false
    });


    const page = await browser.newPage();
    await page.goto('https://genlogin.com');

    // await browser.close(); 
})();
```

{% embed url="<https://github.com/hsxonz/lib_Genlogin_js>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.genlogin.com/record-automation/puppeteer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
